{% capture content %}
<!DOCTYPE html>
<html lang="{{ shop.locale }}">
  <head>
  <meta charset="utf-8">
  <meta http-equiv="cleartype" content="on">
  <meta name="robots" content="index,follow">

  <!-- Mobile Specific Metas -->
  <meta name="HandheldFriendly" content="True">
  <meta name="MobileOptimized" content="320">
  <meta name="viewport" content="width=device-width,initial-scale=1">
  <meta name="theme-color" content="{{ settings.shop_bg_color }}">

  {% if current_tags %}{% assign meta_tags = current_tags | join: ', ' %}{% endif %}
  <title>{{ shop.name }}</title>

  <link rel="preconnect dns-prefetch" href="https://fonts.shopifycdn.com" />
  <link rel="preconnect dns-prefetch" href="https://cdn.shopify.com" />
  <link rel="preconnect dns-prefetch" href="https://v.shopify.com" />
  <link rel="preconnect dns-prefetch" href="https://cdn.shopifycloud.com" />

  <!-- Stylesheets for Turbo "5.0.2" -->
  {{ 'styles.scss.css' | asset_url | stylesheet_tag }}

  <script>
    {% include 'js-variables' %}
  </script>

  {% if page_description %}
    <meta name="description" content="{{ page_description | escape }}" />
  {% endif %}

  {% if settings.favicon != nil %}
    <link rel="shortcut icon" type="image/x-icon" href="{{ settings.favicon | img_url: '180x180' }}">
    <link rel="apple-touch-icon" href="{{ settings.favicon | img_url: '180x180' }}"/>
    <link rel="apple-touch-icon" sizes="57x57" href="{{ settings.favicon | img_url: '57x57' }}"/>
    <link rel="apple-touch-icon" sizes="60x60" href="{{ settings.favicon | img_url: '60x60' }}"/>
    <link rel="apple-touch-icon" sizes="72x72" href="{{ settings.favicon | img_url: '72x72' }}"/>
    <link rel="apple-touch-icon" sizes="76x76" href="{{ settings.favicon | img_url: '76x76' }}"/>
    <link rel="apple-touch-icon" sizes="114x114" href="{{ settings.favicon | img_url: '114x114' }}"/>
    <link rel="apple-touch-icon" sizes="180x180" href="{{ settings.favicon | img_url: '180x180' }}"/>
    <link rel="apple-touch-icon" sizes="228x228" href="{{ settings.favicon | img_url: '228x228' }}"/>
  {% else %}
    <link rel="shortcut icon" type="image/x-icon" href="{{ 'favicon.png' | asset_url }}">
  {% endif %}
  <link rel="canonical" href="{{ canonical_url }}" />

  {% if template contains 'customer' %}
    {{ "shopify_common.js" | shopify_asset_url | script_tag }}
    {{ "customer_area.js" | shopify_asset_url | script_tag }}
  {% endif %}
  {{ content_for_header }}

  {% include 'social-meta-info' %}

  <script src="{{ 'jquery.min.js' | asset_url }}"></script>
  <script src="{{ 'vendors.js' | asset_url }}"></script>
  <script src="{{ 'sections.js' | asset_url }}"></script>
  <script src="{{ 'utilities.js' | asset_url }}"></script>
  <script src="{{ 'app.js' | asset_url }}"></script>
</head>

<body id="password-page-bg">

  {{ content_for_layout }}

</body>
</html>
{% endcapture %}
{% assign content = content | replace_first: '<!DOCTYPE', '!DOCTYPE' | split: ' <' %}
{% for html in content %}{% assign htmlblock = html | strip | prepend: ' <' %}{{htmlblock | replace: ' </', '</'}}{% endfor %}
